Subject: Re: bug#41030: [PATCH] Make EWW respect XDG download directory by default

From: [email-masked] (Philip K.)
Date: Tue, 05 May 2020 10:20:29 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> - What do we do when xdg-user-dir returns ~/ but ~/Downloads/ also
>>   exists, as in Stefan's case?  Consider it a user misconfiguration?
>
> I think that is ~/Downloads/ exists, it's a good hint that the user
> wants to use ~/Downloads/, no matter what xdg-user-dir says.

So should it check for "~/Downloads/" first (and maybe perhaps a few
other popular directory names in other languages), and unless that
hasn't been found load xdg.el and call xdg-user-dir? In the worst case,
the user doesn't have a download directory and $HOME is actually where
they want their files to land.

-- 
	Philip K.